Package com.verisign.epp.namestore.interfaces

## Class NSSubProduct

- java.lang.Object
- - com.verisign.epp.namestore.interfaces.NSSubProduct

-     public class NSSubProduct
      extends java.lang.Object

  Deprecated.
  Use the a-label TLD for the subProductID, except for use of "dotCC" for CC, "dotTV" for TV, and "dotJOBS" for JOBS.
  NameStore sub-product id constants used with either `NSDomain.setSubProductID(String)`, `NSHost.setSubProductID(String)`, or `NSContact.setSubProductID(String)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CC` | Deprecated. Constant when targeting the CC registry/sub-product.
    `static java.lang.String` | `COM` | Deprecated. Constant when targeting the COM registry/sub-product.
    `static java.lang.String` | `EDU` | Deprecated. Constant when targeting the EDU registry/sub-product.
    `static java.lang.String` | `JOBS` | Deprecated. Constant when targeting the JOBS registry/sub-product.
    `static java.lang.String` | `NAME` | Deprecated. Constant when targeting the NAME registry/sub-product.
    `static java.lang.String` | `NET` | Deprecated. Constant when targeting the NET registry/sub-product.
    `static java.lang.String` | `TV` | Deprecated. Constant when targeting the TV registry/sub-product.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NSSubProduct()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CC

          public static final java.lang.String CC

      Deprecated.
      Constant when targeting the CC registry/sub-product.
      See Also:
        Constant Field Values

    - #### TV

          public static final java.lang.String TV

      Deprecated.
      Constant when targeting the TV registry/sub-product.
      See Also:
        Constant Field Values

    - #### COM

          public static final java.lang.String COM

      Deprecated.
      Constant when targeting the COM registry/sub-product.
      See Also:
        Constant Field Values

    - #### NET

          public static final java.lang.String NET

      Deprecated.
      Constant when targeting the NET registry/sub-product.
      See Also:
        Constant Field Values

    - #### EDU

          public static final java.lang.String EDU

      Deprecated.
      Constant when targeting the EDU registry/sub-product.
      See Also:
        Constant Field Values

    - #### JOBS

          public static final java.lang.String JOBS

      Deprecated.
      Constant when targeting the JOBS registry/sub-product.
      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      Deprecated.
      Constant when targeting the NAME registry/sub-product.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NSSubProduct

          public NSSubProduct()

      Deprecated.